Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.plugin
Interface IPluginAttribute

All Superinterfaces:
  IAdaptable, IPluginObject, IWritable

public interface IPluginAttribute
extends IPluginObject

An attribute of XML elements found in the plug-in.

Field Summary
`static String` | `P_VALUE` This property will be used to notify that the value of the attribute has changed.

Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`P_NAME`

Method Summary
`String` | `getValue()` Returns the value of this attribute.
`void` | `setValue(String value)` Sets the value of this attribute.

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

Methods inherited from interface org.eclipse.pde.core.IWritable
`write`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### P_VALUE

    public static final String P_VALUE

  This property will be used to notify that the value of the attribute has changed.

  See Also:
    Constant Field Values

Method Detail

### getValue

    public String getValue()

  Returns the value of this attribute.

  Returns:
    the string value of the attribute

### setValue

    public void setValue(String value)
                  throws CoreException

  Sets the value of this attribute. This method will throw a CoreExeption if the model is not editable.

  Parameters:
    `value` - the new attribute value
  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.